<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/layout_root"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content">

    <androidx.cardview.widget.CardView
        android:id="@+id/card_no"
        android:layout_width="190dp"
        android:layout_height="155dp"
        android:layout_margin="10dp"
        app:cardCornerRadius="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/card_controlle_nor"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#0DF2F0F1"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <TextView
                android:id="@+id/tv_1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="10dp"
                android:layout_marginTop="20dp"
                android:text="未配置"
                android:textColor="#4D3A3A3A"
                android:textSize="26sp"
                android:textStyle="bold"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <ImageView
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_marginTop="20dp"
                android:layout_marginEnd="10dp"
                android:scaleType="center"
                android:src="@mipmap/none"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_2"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:layout_marginStart="15dp"
                android:text="未启动"
                android:textColor="#4D3A3A3A"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tv_1" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="当前功率：0w"
                android:textColor="#333A3A3A"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="@+id/tv_2"
                app:layout_constraintTop_toBottomOf="@+id/tv_2" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

    <androidx.cardview.widget.CardView
        android:id="@+id/card_yes"
        android:layout_width="190dp"
        android:layout_height="155dp"
        android:layout_margin="10dp"
        app:cardCornerRadius="10dp">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/card_controller"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#00BDF4"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/iv_controller"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_marginStart="7dp"
                android:layout_marginTop="20dp"
                android:layout_weight="1"
                android:scaleType="centerInside"
                android:src="@mipmap/air_open"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_controller"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="7dp"
                android:text="加湿器"
                android:textColor="#ffffffff"
                android:textSize="24sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toBottomOf="@+id/iv_controller"
                app:layout_constraintEnd_toStartOf="@+id/iv_power"
                app:layout_constraintHorizontal_bias="0"
                app:layout_constraintStart_toEndOf="@+id/iv_controller"
                app:layout_constraintTop_toTopOf="@+id/iv_controller" />

            <ImageView
                android:id="@+id/iv_power"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:background="@drawable/bg_controller_open"
                android:scaleType="center"
                android:src="@mipmap/power"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_state"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:layout_marginStart="15dp"
                android:text="未启动"
                android:textColor="#ffffffff"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/iv_controller" />

            <TextView
                android:id="@+id/tv_info"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text=""
                android:layout_marginEnd="10dp"
                android:textColor="#ffffffff"
                android:textSize="28sp"
                app:layout_constraintBottom_toBottomOf="@+id/tv_state"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="@+id/tv_state" />

            <TextView
                android:id="@+id/tv_power"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="当前功率：--"
                android:textColor="#B3FFFFFF"
                android:textSize="18sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintStart_toStartOf="@+id/tv_state"
                app:layout_constraintTop_toBottomOf="@+id/tv_state" />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.cardview.widget.CardView>

</FrameLayout>